package org.gregorie.runtest;

/**
 * CustomLoader loads the Custom subclass used to
 * interface the class under test to RunTest and to implement
 * the test actions requested by action lines in the script.
 *
 * The only method used from the abstract parent ClassLoader
 * class is loadClass(String). As it is not abstract and
 * doesn't need to be overridden, this class definition is null.
 *
 * This classes only purpose is to subclass the abstract ClassLoader
 * class as a non-abstract class that can be instantiated.
 * 
 * <PRE>
 * <b>Licensing</b>
 * 
 * Java support classes
 * Copyright (C) 2020  Martin C Gregorie
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the Lesser GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Lesser GNU General Public License for more details.
 * 
 * You should have received a copy of the Lesser GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * </PRE>
 * <p>Contact Martin Gregorie at
 * <a href="mailto:martin@gregorie.org">martin@gregorie.org</a>.<br>
 * Read the <a href="http://www.gnu.org/licenses/lgpl.html">Lesser GNU
 * General Public License</a>.</p>
 */
 public class CustomLoader extends ClassLoader
 {

 }
         
